GDB (xrefs)

Public Attributes | List of all members
jit_code_entry Struct Reference

`#include "jit.h"`

## Public Attributes
CORE_ADDR | next_entry
CORE_ADDR | prev_entry
CORE_ADDR | symfile_addr
ULONGEST | symfile_size

## Detailed Description

Definition at line 41 of file jit.h.

## Member Data Documentation

## ◆ next_entry

CORE_ADDR jit_code_entry::next_entry

Definition at line 43 of file jit.h.

Referenced by jit_inferior_init(), and jit_read_code_entry().

## ◆ prev_entry

CORE_ADDR jit_code_entry::prev_entry

Definition at line 44 of file jit.h.

Referenced by jit_read_code_entry().

## ◆ symfile_addr

CORE_ADDR jit_code_entry::symfile_addr

Definition at line 45 of file jit.h.

Referenced by jit_bfd_try_read_symtab(), jit_read_code_entry(), jit_reader_try_read_symtab(), and jit_register_code().

## ◆ symfile_size

ULONGEST jit_code_entry::symfile_size

Definition at line 46 of file jit.h.

Referenced by jit_bfd_try_read_symtab(), jit_read_code_entry(), jit_reader_try_read_symtab(), and jit_register_code().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/jit.h